- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# foreman – Manage Foreman Resources

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Replaced by re-designed individual modules living at https://github.com/theforeman/foreman-ansible-modules

Alternative

  https://github.com/theforeman/foreman-ansible-modules

## Synopsis

- Allows the management of Foreman resources inside your Foreman server.

## Requirements

The below requirements are needed on the host that executes this module.

- nailgun >= 0.28.0

- python >= 2.6

- datetime

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
entity - / required |  | The Foreman resource that the action will be performed on (e.g. organization, host).
params - / required |  | Parameters associated to the entity resource to set or edit in dictionary format (e.g. name, description).
password - / required |  | Password for user accessing Foreman server.
server_url - / required |  | URL of Foreman server.
username - / required |  | Username on Foreman server.
verify_ssl boolean | Choices: no ← yes | Whether to verify an SSL connection to Foreman server.

## Examples

    - name: Create CI Organization
      foreman:
        username: admin
        password: admin
        server_url: https://fakeserver.com
        entity: organization
        params:
          name: My Cool New Organization
      delegate_to: localhost

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Eric D Helms (@ehelms)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.